aboutsummaryrefslogtreecommitdiff
path: root/scripts/dupe-finder.sh
diff options
context:
space:
mode:
authorZe Libertine Gamer <zlg@zlg.space>2016-11-03 07:02:05 -0700
committerZe Libertine Gamer <zlg@zlg.space>2016-11-03 07:02:05 -0700
commit017536123a5d334759ed54aff610b22a8d6c8254 (patch)
tree416188c268a9f1621fa9ed183139fded80f837d7 /scripts/dupe-finder.sh
parentCorrect run_again, add recursion (diff)
downloadvgstash-017536123a5d334759ed54aff610b22a8d6c8254.tar.gz
vgstash-017536123a5d334759ed54aff610b22a8d6c8254.tar.bz2
vgstash-017536123a5d334759ed54aff610b22a8d6c8254.tar.xz
vgstash-017536123a5d334759ed54aff610b22a8d6c8254.zip
Improve error handling in shell scripts
Diffstat (limited to 'scripts/dupe-finder.sh')
-rwxr-xr-xscripts/dupe-finder.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/dupe-finder.sh b/scripts/dupe-finder.sh
index dec0d68..93d84c9 100755
--- a/scripts/dupe-finder.sh
+++ b/scripts/dupe-finder.sh
@@ -1,7 +1,12 @@
-#!/bin/bash
+#!/usr/bin/env bash
# dupe-finder.sh: Output duplicate games in your database
+# Set options for improved robustness
+set -o errexit
+set -o pipefail
+set -o nounset
+
# We're setting the envvar here to enforce the -w argument to uniq
result=$(VGSTASH_TABLE_WIDTH=80 vgstash list | uniq -D -f 2 -w 58)
if [[ -n $result ]]; then
ine Gamer1-1/+1 2016-10-14updater.sh: add recursion, error handlingZe Libertine Gamer1-43/+101 2016-10-14Correct pipe-handling behaviorZe Libertine Gamer1-1/+9 2016-10-12Clarify a method to move between platformsZe Libertine Gamer1-2/+5